Debian Bug report logs - #262440
RM: peacock -- RoQA; unsuitable for release

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Marc Lehmann <debian-reportbug@plan9.de>

Date: Sat, 31 Jul 2004 00:18:03 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Noèl Köthe <noel@debian.org>:
Bug#262440; Package peacock. Full text and rfc822 format available.

Acknowledgement sent to Marc Lehmann <debian-reportbug@plan9.de>:
New Bug report received and forwarded. Copy sent to Noèl Köthe <noel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc Lehmann <debian-reportbug@plan9.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: peacock segfaults on every action
Date: Sat, 31 Jul 2004 02:12:15 +0200
Package: peacock
Version: 1.9.1-3
Severity: important

In short: peacock crashes on both open or new.

After starting, I get a window. Hitting either New or Open + selectign a
html file, gives me the following messages and peacock segfaults:

*cerebro /tmp# peacock-2

(peacock-2:10295): gtkhtml-WARNING **: Cannot create spell dictionary instance (iid:OAFIID:GNOME_Spell_Dictionary:0.3)

(peacock-2:10295): GLib-GObject-WARNING **: invalid cast from `ColorCombo' to `GtkBox'

(peacock-2:10295): GLib-GObject-WARNING **: invalid cast from `ColorCombo' to `GtkBox'


-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (700, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.6
Locale: LANG=C, LC_CTYPE=de_DE.UTF-8

Versions of packages peacock depends on:
ii  bonobo-activation         1:2.4.0-4      The GNOME Bonobo support binaries 
ii  gtkhtml3.0                3.0.9-2.1      HTML rendering/editing library - b
ii  libart-2.0-2              2.3.16-5       Library of functions for 2D graphi
ii  libatk1.0-0               1.6.1-2        The ATK accessibility toolkit
ii  libbonobo-activation4     1:2.4.0-4      The GNOME Bonobo library (dummy pa
ii  libbonobo2-0              2.6.2-4        Bonobo CORBA interfaces library
ii  libbonoboui2-0            2.6.1-1        The Bonobo UI library
hi  libc6                     2.3.2.ds1-11   GNU C Library: Shared libraries an
ii  libgconf2-4               2.6.2-1        GNOME configuration database syste
ii  libglade2-0               1:2.4.0-1      Library to load .glade files at ru
ii  libglib2.0-0              2.4.4-1        The GLib library of C routines
ii  libgnome2-0               2.6.1-8        The GNOME 2 library - runtime file
ii  libgnomecanvas2-0         2.6.1.1-2      A powerful object-oriented display
ii  libgnomeprint2.2-0        2.4.2-6        The GNOME 2.2 print architecture -
ii  libgnomeui-0              2.4.0.1-12     The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0            2.6.1.1-3      The GNOME virtual file-system libr
ii  libgnomevfs2-common       2.6.1.1-3      The GNOME virtual file-system libr
ii  libgtk2.0-0               2.4.3-3        The GTK+ graphical user interface 
ii  libgtksourceview1.0-0     0.7.0-2        Shared libraries for the GTK+ synt
ii  liblinc1                  2:1.0.3-4      library to simplify creating netwo
ii  liborbit2                 1:2.10.2-1.1   libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0             1.4.0-4        Layout and rendering of internatio
ii  libxml2                   2.6.10-3       GNOME XML library
ii  xlibs                     4.3.0.dfsg.1-4 X Window System client libraries m
ii  zlib1g                    1:1.2.1.1-5    compression library - runtime

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#262440; Package peacock. Full text and rfc822 format available.

Acknowledgement sent to Noèl Köthe <noel@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 262440@bugs.debian.org (full text, mbox):

From: Noèl Köthe <noel@debian.org>
To: 262440@bugs.debian.org, Marc Lehmann <debian-reportbug@plan9.de>
Cc: control@bugs.debian.org
Subject: Re: Bug#262440: peacock segfaults on every action
Date: Mon, 04 Jul 2005 21:20:05 +0200
[Message part 1 (text/plain, inline)]
tags 262440 + upstream confirmed
forwared 262440 https://sf.net/tracker/index.php?func=detail&aid=1232366&group_id=3369&atid=103369
thanks

Am Samstag, den 31.07.2004, 02:12 +0200 schrieb Marc Lehmann:

> In short: peacock crashes on both open or new.
> 
> After starting, I get a window. Hitting either New or Open + selectign a
> html file, gives me the following messages and peacock segfaults:
> 
> *cerebro /tmp# peacock-2
> 
> (peacock-2:10295): gtkhtml-WARNING **: Cannot create spell dictionary instance (iid:OAFIID:GNOME_Spell_Dictionary:0.3)
> 
> (peacock-2:10295): GLib-GObject-WARNING **: invalid cast from `ColorCombo' to `GtkBox'
> 
> (peacock-2:10295): GLib-GObject-WARNING **: invalid cast from `ColorCombo' to `GtkBox'

Yes its reproduceable.:(
I reported it to the upstream author.

thx for the report.

-- 
Noèl Köthe <noel debian.org>
Debian GNU/Linux, www.debian.org
[signature.asc (application/pgp-signature, inline)]

Tags added: upstream, confirmed Request was from Noèl Köthe <noel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to https://sf.net/tracker/index.php?func=detail&aid=1232366&group_id=3369&atid=103369. Request was from Noèl Köthe <noel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Noèl Köthe <noel@debian.org>:
Bug#262440; Package peacock. Full text and rfc822 format available.

Acknowledgement sent to "Øystein Gisnås" <oystein@gisnas.net>:
Extra info received and forwarded to list. Copy sent to Noèl Köthe <noel@debian.org>. Full text and rfc822 format available.

Message #19 received at 262440@bugs.debian.org (full text, mbox):

From: "Øystein Gisnås" <oystein@gisnas.net>
To: 262440@bugs.debian.org, control@bugs.debian.org
Subject: Package peacock unusable
Date: Sat, 14 Oct 2006 15:27:46 +0200
package peacock
severity 262440 grave
thanks

This bug renders the package completely unusable, hence is it a grave
bug according to http://www.debian.org/Bugs/Developer#severities. To
me it sounds reasonable that this bug either must be fixed or the
package not be released with etch.



Severity set to `grave' from `important' Request was from "Øystein Gisnås" <oystein@gisnas.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Steve McIntyre <steve@einval.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `peacock' to `ftp.debian.org'. Request was from Steve McIntyre <steve@einval.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug 262440 cloned as bug 393103. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal' from `grave' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug had been forwarded to https://sf.net/tracker/index.php?func=detail&aid=1232366&group_id=3369&atid=103369. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Tags set to: Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc Lehmann <debian-reportbug@plan9.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 262440-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 262440-close@bugs.debian.org
Cc: peacock@packages.debian.org, peacock@packages.qa.debian.org
Subject: Bug#262440: fixed
Date: Sat, 23 Dec 2006 11:12:52 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

   peacock |  1.9.1-7.1 | source, alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 262440@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Anthony Towns (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 02:38:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 08:01:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.